cascading.flow.planner.process

## Interface FlowStepFactory<Config>

- All Known Implementing Classes:
    BaseFlowStepFactory

      public interface FlowStepFactory<Config>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowStep<Config>` | `createFlowStep(ElementGraph stepElementGraph, FlowNodeGraph flowNodeGraph)`
    `FlowNodeFactory` | `getFlowNodeFactory()`
    `String` | `makeFlowStepName(FlowStep flowStep, int numSteps, int stepNum)`

- - ### Method Detail

    - #### createFlowStep

          FlowStep<Config> createFlowStep(ElementGraph stepElementGraph,
                                        FlowNodeGraph flowNodeGraph)

    - #### makeFlowStepName

          String makeFlowStepName(FlowStep flowStep,
                                int numSteps,
                                int stepNum)

    - #### getFlowNodeFactory

          FlowNodeFactory getFlowNodeFactory()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.